Name:             perl-re-engine-RE2
Summary:          RE2 regex engine
Version:          0.11
Release:          8%{?dist}
License:          GPL+ or Artistic
URL:              http://search.cpan.org/dist/re-engine-RE2/
Source0:          http://www.cpan.org/authors/id/D/DG/DGL/re-engine-RE2-%{version}.tar.gz

# Discussion started with upstream at:
#     https://rt.cpan.org/Public/Bug/Display.html?id=83467
Patch0:           re-engine-RE2-0.11-Unbundle-re2.patch

# Reported upstream:
#     https://rt.cpan.org/Public/Bug/Display.html?id=96338
Patch1:           re-engine-RE2-0.11-Fix-build-with-Werror-format-security.patch

BuildRequires:    perl(ExtUtils::CppGuess)
BuildRequires:    perl(ExtUtils::MakeMaker)
BuildRequires:    perl(XSLoader)
BuildRequires:    perl(Test::More)
BuildRequires:    re2-devel

Requires:         perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module replaces perl's regex engine in a given lexical scope with RE2.


%prep
%setup -q -n re-engine-RE2-%{version}

# Remove incorrect executable bits
chmod -x lib/re/engine/RE2.pm

# Just to be sure we don't build against the bundled version
rm -fr re2

%patch0 -p1
%patch1 -p1


%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}


%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;

%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/re*
%{_mandir}/man3/*


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 09 2014 Mathieu Bridon <bochecha@fedoraproject.org> - 0.11-7
- Fix the build with -Werror=format-security.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 24 2013 Petr Pisar <ppisar@redhat.com> - 0.11-4
- Perl 5.18 rebuild

* Wed Mar 06 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 0.11-3
- Petr is right, the patch does look much more readable this way.

* Thu Feb 21 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 0.11-2
- Remove incorrect executable bits.
- Add a missing build requirement.

* Wed Feb 20 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 0.11-1
- Initial package, with help from cpanspec.
